Loading...
Searching...
No Matches
lapdm_entity Struct Reference
LAPDm implementation according to GSM TS 04.06

a LAPDm Entity More...

`#include <lapdm.h>`

## Data Fields

struct lapdm_datalink | datalink [_NR_DL_SAPI]
| the SAPIs of the LAPDm entity
int | last_tx_dequeue
| last entity that was dequeued
int | tx_pending
| currently a pending frame not confirmed by L1
enum lapdm_mode | mode
| are we in BTS mode or MS mode
unsigned int | flags
void * | l1_ctx
| context for layer1 instance
void * | l3_ctx
| context for layer3 instance
osmo_prim_cb | l1_prim_cb
| callback for sending prims to L1
lapdm_cb_t | l3_cb
| callback for sending stuff to L3
struct lapdm_channel * | lapdm_ch
| pointer to lapdm_channel of which we're part
uint8_t | ta
uint8_t | tx_power

## Detailed Description

a LAPDm Entity

## Field Documentation

## datalink

struct lapdm_datalink lapdm_entity::datalink[_NR_DL_SAPI]

the SAPIs of the LAPDm entity

## flags

unsigned int lapdm_entity::flags

Referenced by tx_dequeue_msgb().

## l1_ctx

void* lapdm_entity::l1_ctx

context for layer1 instance

## l1_prim_cb

osmo_prim_cb lapdm_entity::l1_prim_cb

callback for sending prims to L1

## l3_cb

lapdm_cb_t lapdm_entity::l3_cb

callback for sending stuff to L3

## l3_ctx

void* lapdm_entity::l3_ctx

context for layer3 instance

## lapdm_ch

struct lapdm_channel* lapdm_entity::lapdm_ch

pointer to lapdm_channel of which we're part

## last_tx_dequeue

int lapdm_entity::last_tx_dequeue

last entity that was dequeued

## mode

enum lapdm_mode lapdm_entity::mode

are we in BTS mode or MS mode

## ta

uint8_t lapdm_entity::ta

## tx_pending

int lapdm_entity::tx_pending

currently a pending frame not confirmed by L1

## tx_power

uint8_t lapdm_entity::tx_power

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/lapdm.h